sudo apt-get update 문제 해결 (Ubuntu17.04)

JS · 13 Feb 2018

문제

저장소를 변경하고 sudo apt-get update로 갱신을 하려고 했더니 갱신이 잘 안되는 문제가 있었습니다.

$ sudo apt-get update
Ign:1 http://ftp.daumkakao.com/ubuntu zesty InRelease
Ign:2 http://ftp.daumkakao.com/ubuntu zesty-updates InRelease
Ign:3 http://ftp.daumkakao.com/ubuntu zesty-backports InRelease
Ign:4 http://ftp.daumkakao.com/ubuntu zesty-security InRelease
Ign:5 http://ftp.daumkakao.com/ubuntu zesty Release

해결

문제를 해결하고자 구글링을 했는데 마침 이 사이트에서 해결 방법을 찾았습니다.

대충 Ubuntu 17.04를 지원하는 기간이 종료되었고, 저장소를 변경하면 된다는 것 같습니다. 다만 security patch는 지원 안해준다는 것 같네요. Ubuntu17이 오래 지원하는 버전이 아니라서 그런 것 같습니다.

/etc/apt/sources.listftp.daumkakao.com, security.ubuntu.com 등을 old-releases.ubuntu.com로 변경하고 update해보니 잘 됩니다.

$ sudo apt-get update
Ign:1 http://ppa.launchpad.net/george-edison55/cmake-3.x/ubuntu zesty InRelease
Hit:2 http://packages.cloud.google.com/apt cloud-sdk-zesty InRelease
Get:3 http://old-releases.ubuntu.com/ubuntu zesty InRelease [243 kB]                                
Hit:4 https://download.sublimetext.com apt/stable/ InRelease                       
댓글을 보거나 쓰려면 이 버튼을 눌러주세요.
codechachaCopyright ©2019 codechacha